/********************************************************************/
/*                                                                  */
/* Jocs de Cartes per a OS/2                                        */
/*                                                                  */
/* Installaci en catal, Versi 1.52                              */
/*                                                                  */
/* Copyright 1994 (C) per Felix Maschek, Schneverdingen             */
/*                                                                  */
/* Adrea electrnica: CompuServe 100120,1370                       */
/*                     OS2SHARE                                     */
/*                                                                  */
/********************************************************************/

'@Echo Off'

/* load REXXUTIL */

Call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'
Call SysLoadFuncs


/* Inicialitzaci */
 
Signal On Failure Name FAILURE
Signal On Halt Name HALT
Signal On Syntax Name SYNTAX

Call SysCls
Say 'Installaci de CARDS 1.52...'
Say ''


/* Comprovacions */

Result = SysFileTree( "CARDS.EXE", 'Files', 'F' )
If Files.0 = 0 Then
  Do
  Say 'ERROR: no s''ha trobat CARDS.EXE !'
  Signal DONE
  End

Result = SysFileTree( "PICTURES.DLL", 'Files', 'F' )
If Files.0 = 0 Then
  Do
  Say 'ERROR: no s''ha trobat PICTURES.DLL !'
  Signal DONE
  End

Result = SysFileTree( "CARDSCAT.HLP", 'Files', 'F' )
If Files.0 = 0 Then
  Do
  Say 'ERROR: no s''ha trobat CARDSCAT.HLP !'
  Signal DONE
  End

Result = SysFileTree( "CARDSCAT.DLL", 'Files', 'F' )
If Files.0 = 0 Then
  Do
  Say 'ERROR: no s''ha trobat CARDSCAT.DLL !'
  Signal DONE
  End

/* Preguntar a l'usuari a quin directori s'ha d'installar el programa. */
 
Say 'Si us plau, entreu el directori complet on installar Jocs de Cartes'
Say '  Per defecte: C:\JOCCARTA: '
Pull Directory
If Directory = "" Then Directory = 'C:\JOCCARTA'


/* crear el directori de dest. */

Result = SysFileTree( Directory, 'Dirs', 'D' )
If Dirs.0 = 0 Then
  Do
  Result = SysMkDir( Directory )
  if Result == 0 Then
    Do
    End
  Else
    Do
    Say 'ERROR: No es pot crear aquest directori.'
    Signal DONE
    End
  End
Say '';

/* Crear l'objecte a l'escriptori */

Folder = '<WP_DESKTOP>'

/* Installaci */

Say 'Cpia de Jocs de Cartes a ' Directory '...'
Copy "CARDS.EXE" Directory"\CARDS.EXE" '1>NUL'
Copy "PICTURES.DLL" Directory"\PICTURES.DLL" '1>NUL'
Copy "CARDSGER.HLP" Directory"\CARDSGER.HLP" '1>NUL'
Copy "CARDSGER.DLL" Directory"\CARDSGER.DLL" '1>NUL'
Copy "CARDSENG.HLP" Directory"\CARDSENG.HLP" '1>NUL'
Copy "CARDSENG.DLL" Directory"\CARDSENG.DLL" '1>NUL'
Copy "CARDSNOR.HLP" Directory"\CARDSNOR.HLP" '1>NUL'
Copy "CARDSNOR.DLL" Directory"\CARDSNOR.DLL" '1>NUL'
Copy "CARDSSWE.HLP" Directory"\CARDSSWE.HLP" '1>NUL'
Copy "CARDSSWE.DLL" Directory"\CARDSSWE.DLL" '1>NUL'
Copy "CARDSFRA.HLP" Directory"\CARDSFRA.HLP" '1>NUL'
Copy "CARDSFRA.DLL" Directory"\CARDSFRA.DLL" '1>NUL'
Copy "CARDSCAT.HLP" Directory"\CARDSCAT.HLP" '1>NUL'
Copy "CARDSCAT.DLL" Directory"\CARDSCAT.DLL" '1>NUL'
Copy "CARDSSPA.HLP" Directory"\CARDSSPA.HLP" '1>NUL'
Copy "CARDSSPA.DLL" Directory"\CARDSSPA.DLL" '1>NUL'

Say 'Creaci de l''objecte a l''escriptori...'
Type = 'WPProgram'
Title = 'Jocs de Cartes'
Parms = 'MINWIN=DESKTOP;PROGTYPE=PM;EXENAME='Directory'\CARDS.EXE;PARAMETERS=CARDSCAT;STARTUPDIR='Directory';OBJECTID=<CARDS>;NOPRINT=YES;'
Result = SysCreateObject( Type, Title, Folder, Parms, 'ReplaceIfExists' )
 
If Result = 1 Then
  Say 'L''objecte de l''escriptori s''ha creat. Llestos!'
Else             
  Say 'ERROR: No es pot crear l''objecte a l''escriptori!'

Signal DONE

FAILURE:
Say 'Error en el procs REXX.'
Signal DONE

HALT:
Say 'REXX Aturat.'
Signal DONE

SYNTAX:
Say 'Error de sintaxi de REXX.'
Signal DONE

DONE:
Exit
