/********************************************************************/
/*                                                                  */
/* Solitarios para OS/2                                             */
/*                                                                  */
/* Instalacin del programa en espaol, versin 1.52                */
/*                                                                  */
/* Copyright 1994 (C) por Felix Maschek, Schneverdingen             */
/*                                                                  */
/* EMail: CompuServe 100120,1370                                    */
/*                   OS2SHARE                                       */
/*                                                                  */
/********************************************************************/

'@Echo Off'

/* load REXXUTIL */

Call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'
Call SysLoadFuncs


/* Inicializacin */
 
Signal On Failure Name FAILURE
Signal On Halt Name HALT
Signal On Syntax Name SYNTAX

Call SysCls
Say 'Instalacin de CARDS 1.52...'
Say ''


/* Check... */

Result = SysFileTree( "CARDS.EXE", 'Files', 'F' )
If Files.0 = 0 Then
  Do
  Say 'ERROR: Falta el fichero CARDS.EXE!'
  Signal DONE
  End

Result = SysFileTree( "PICTURES.DLL", 'Files', 'F' )
If Files.0 = 0 Then
  Do
  Say 'ERROR: Falta el fichero PICTURES.DLL!'
  Signal DONE
  End

Result = SysFileTree( "CARDSSPA.HLP", 'Files', 'F' )
If Files.0 = 0 Then
  Do
  Say 'ERROR: Falta el fichero CARDSSPA.HLP!'
  Signal DONE
  End

Result = SysFileTree( "CARDSSPA.DLL", 'Files', 'F' )
If Files.0 = 0 Then
  Do
  Say 'ERROR: Falta el fichero CARDSSPA.DLL!'
  Signal DONE
  End

/* Zielverzeichnis erfragen. */
 
Say 'Por favor, entre el directorio completo donde instalar Solitarios'
Say '  Por defecto: C:\SOLCARTA: '
Pull Directory
If Directory = "" Then Directory = 'C:\SOLCARTA'


/* crear el directorio de destino. */

Result = SysFileTree( Directory, 'Dirs', 'D' )
If Dirs.0 = 0 Then
  Do
  Result = SysMkDir( Directory )
  if Result == 0 Then
    Do
    End
  Else
    Do
    Say 'ERROR: No se puede crear el directorio de destino.'
    Signal DONE
    End
  End
Say '';

/* Create desktop object */

Folder = '<WP_DESKTOP>'

/* Install */

Say 'Copia de Solitario en ' Directory '...'
Copy "CARDS.EXE" Directory"\CARDS.EXE" '1>NUL'
Copy "PICTURES.DLL" Directory"\PICTURES.DLL" '1>NUL'
Copy "CARDSGER.HLP" Directory"\CARDSGER.HLP" '1>NUL'
Copy "CARDSGER.DLL" Directory"\CARDSGER.DLL" '1>NUL'
Copy "CARDSENG.HLP" Directory"\CARDSENG.HLP" '1>NUL'
Copy "CARDSENG.DLL" Directory"\CARDSENG.DLL" '1>NUL'
Copy "CARDSNOR.HLP" Directory"\CARDSNOR.HLP" '1>NUL'
Copy "CARDSNOR.DLL" Directory"\CARDSNOR.DLL" '1>NUL'
Copy "CARDSSWE.HLP" Directory"\CARDSSWE.HLP" '1>NUL'
Copy "CARDSSWE.DLL" Directory"\CARDSSWE.DLL" '1>NUL'
Copy "CARDSFRA.HLP" Directory"\CARDSFRA.HLP" '1>NUL'
Copy "CARDSFRA.DLL" Directory"\CARDSFRA.DLL" '1>NUL'
Copy "CARDSCAT.HLP" Directory"\CARDSCAT.HLP" '1>NUL'
Copy "CARDSCAT.DLL" Directory"\CARDSCAT.DLL" '1>NUL'
Copy "CARDSSPA.HLP" Directory"\CARDSSPA.HLP" '1>NUL'
Copy "CARDSSPA.DLL" Directory"\CARDSSPA.DLL" '1>NUL'

Say 'Creacin del objeto en el escritorio...'
Type = 'WPProgram'
Title = 'Solitarios'
Parms = 'MINWIN=DESKTOP;PROGTYPE=PM;EXENAME='Directory'\CARDS.EXE;PARAMETERS=CARDSSPA;STARTUPDIR='Directory';OBJECTID=<CARDS>;NOPRINT=YES;'
Result = SysCreateObject( Type, Title, Folder, Parms, 'ReplaceIfExists' )
 
If Result = 1 Then
  Say 'Se ha creado el objeto en el escritorio. Proceso finalizado.'
Else             
  Say '!ERROR: No se puede crear el objeto en el escritorio!'

Signal DONE

FAILURE:
Say 'Error en el proceso REXX.'
Signal DONE

HALT:
Say 'Paro del proceso REXX.'
Signal DONE

SYNTAX:
Say 'Error de sintaxis en el proceso REXX.'
Signal DONE

DONE:
Exit
